/*
 * OCSP responder
 * by Massimiliano Pala (madwolf@openca.org)
 * OpenCA project 2001
 *
 * Copyright (c) 2001 The OpenCA Project.  All rights reserved.
 *
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

#define MAX_IN_LINES	16536

#include <sys/types.h>
#include <sys/socket.h>


/* Functions */

extern int start_server( char *bind_s, char *port_s, int * child_num,
			int max_child, int queue, long max_size,
	       		OCSPD_CONFIG *ocspd_conf );

BIO *init_connection ( char *addr );
OCSP_REQUEST *get_ocsp_request( BIO *bio );
void handle_request( BIO *bio_socket );
int handle_connection(BIO **bio_socket, int *child_list, int max_child,
		OCSPD_CONFIG *conf );
int get_free_child( int *child_list, int max_child );
void handle_sigchld( int sig );
void handle_sighup( int sig );
void just_die( int sig );

