#!/bin/bash
#
#  2001 by Massimiliano Pala and OpenCA Group

ECHO=echo
CHOWN=chown
RM=rm
MV=mv
TAR=tar
GZIP=gzip
SED=sed

VER=0.9.1
C_DIR=`pwd | ${SED} "s|/.*/||g"`
G_DIR=`pwd`

${ECHO}
${RM} -f OpenCA-*${VER}.tar.gz
${ECHO} "Creating Distribution TAR archive ${C_DIR} ... ${G_DIR}"
${CHOWN} -R madwolf.openca *;
( cd ..; ${MV} ${C_DIR} OpenCA-${VER} ; \
	${TAR} cpf OpenCA-${VER}.tar --exclude "CVS" OpenCA-${VER};\
	${GZIP} OpenCA-${VER}.tar;\
	${MV} OpenCA-${VER} ${C_DIR} );
${MV} ../OpenCA-${VER}.tar.gz .;
${ECHO} "Done.";
${ECHO}

