<!--

// -------------------------------------------------------
// Javascript 0.4.01 - OpenCA Software
//
// Copyright (c) by Massimiliano Pala and OpenCA group
// All rights Reserved
// -------------------------------------------------------

function getConfirm( message ) {

		if( confirm( message ) != true ) {;
			alert("Aborted!");
			return false;
		}

		return true;
}

function getParams( cmd, theForm ) {

	var message = "";
	var cnf;

	if((cmd == "exportCerts") || (cmd == "exportCAReq") || 
						( cmd == "exportCACert") ) {
		message = "Vous devez fournir un support pour proceder\n";
		message += "(depend de la configuration).\n\n";
		message += "Etes vous sur de vouloir continuer?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false;
		};

		if( cmd == "exportCAReq" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "REQUEST";
		}

		if( cmd == "exportCACert" ) {
			cmd = "exportCAReqCert";
			theForm.dataType.value = "CERTIFICATE";
		}

		theForm.cmd.value = cmd;
		theForm.submit();
	}


	if( cmd == "genSKey" ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Si vous continuez, vous supprimerez l'ancienne\n";
		message += "(si elle existe) Cle secrete de l'AC.\n\n";
		message += "Etes vous sur de vouloir continuer?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Entrez l'algorithme d'encryption (des,des3,idea)",
								 "des3");

		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
				alert("Aborted!");
				return false;
		} else {
			theForm.alg.value = tmp;
		}

		tmp = prompt("Entrez la taile de la cle de l'AC (en bits)", "2048");
		if((tmp == "") || (tmp == "undefined") || ( tmp == null)) {
			alert("Aborted!");
			return false;
		} else {
			theForm.bits.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCAReq" ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		// reset DN
		theForm.dn.value = "";

		message = "Vous allez etre questionne maintenant a propos de la\n";
		message += "requete de certificat de l'AC a generer. Tous\n";
		message += "les champs peuvent simplement etre ignores en mettant des\n";
		message += "valeurs nulles. Vous pouvez arreter le processus a n'importe\n";
		message += "quel moment en choisissant le boutton 'annuler'.\n\n";
		message += "Vous devez confirmer le nom complet a la fin.\n";
		message += "La vous pouvez ecrire un nom pleinement flexible aussi.\n\n";
		message += "Etes vous sur de vouloir continuer?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Entrez l'adresse E-Mail, e.g. " + 
			     "camanager@domain.org.", "");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.email.value = tmp;
			if ( tmp != "" ) {
				theForm.dn.value += "emailAddress=" + tmp;
			}
		}

		tmp = prompt("Entrez votre prenom, i.e. " + 
			     "Prenom Surnom.", "");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.cn.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", CN=" + tmp;
				} else {
					theForm.dn.value += "CN=" + tmp;
				}
			}
		}

		tmp = prompt("Entrez le Nom de votre Unite Organisationnelle, e.g. " +
			     "MyUnit.", "");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.ou.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", OU=" + tmp;
				} else {
					theForm.dn.value += "OU=" + tmp;
				}
			}
		}

		tmp = prompt("Entrez le Nom de l'Organisation (e.g. OpenCA, ... )","");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.o.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", O=" + tmp;
				} else {
					theForm.dn.value += "O=" + tmp;
				}
			}
		}

		tmp = prompt("Entrez le code ISO 3166 du pays (e.g. IT, DE, US, FR ...)", "");
		if( tmp == null ) {
			alert("Aborted!");
			return false;
		} else {
			theForm.c.value = tmp;
			if ( tmp != "" ) {
				if ( theForm.dn.value != "" ) {
					theForm.dn.value += ", C=" + tmp;
				} else {
					theForm.dn.value += "C=" + tmp;
				}
			}
		}

		// allow full dynamic DNs
		tmp = prompt("Verifiez que le DN genere est correct ou entrez un DN completement different.\n" +
			"Les attributs utilises doivent correspondre exactement aux definitions d'OpenSSL!", theForm.dn.value);
		if( (tmp == "") || ( tmp == null)) {
			alert("Arret ou valuer vide donnee!");
			return false;
		} else {
			theForm.dn.value = tmp;
			if ( (theForm.dn.value == null) || (theForm.dn.value == "")) {
				alert("Le Nom est vide!");
				return false;
			}
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "genCACert" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Cette option vous laisse creer le nouveau\n";
		message += "certificat auto-signe pour votre AC. Vous devez\n";
		message += "deja avoir genere la cle privee et\n";
		message += "la CSR. Vous pouvez arreter le processus en choisissant\n";
		message += "le boutton 'arreter'.\n\n";
		message += "Etes vous sur de vouloir continuer ?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		tmp = prompt("Validite du certificat de l'AC (en jours depuis maintenant)",
								"730");

		if( (tmp == null) || ( tmp == "") ) {
			alert("Arret ou valeur Vide entree!");
			return false;
		} else {
			theForm.days.value = tmp;
		}

		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( (cmd == "genCRL") || (cmd == "genCRLfromFile") ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Cette option vous laisse generer une nouvelle LCR, Vous devrez\n";
		message += "l'exporter avec la commande Export.\n\n";
		message += "Etes vous sur de vouloir continuer?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		// Ask for Password
		getPasswd (theForm);
	}

	if( cmd == "exportCRL" ) {
		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Cette option vous permet d'exporter les LCRs nouvellement generees\n";
		message += "vers le peripherique d'exportation.\n\n";
		message += "Etes vous sur de vouloir continuer?\n\n";

		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;

		theForm.submit();
	}

	if(cmd == "bpRecoverCert") {

		message = "Veuillez noter que nous utilisons l'ancien \n";
		message += "PIN genere pour encrypter les donnees ou \n";
		message += "aucune passphrase n'est utilisee.\n\n";
		message += "Etes vous sur de vouloir continuer?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
	}

	if( (cmd == "bpRecoverCert") || (cmd == "bpRecoverKey") ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Si vous continuez, vous aurez besoin de la \n";
		message += "passphrase de sauvegarde de votre cle privee.\n\n";
		message += "Etes vous sur de vouloir continuer?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "keybackup";

		// Ask for Password
		getPasswd (theForm);

	}

	if( (cmd == "bpExportPIN") || (cmd == "bpExportPKCS12") ) {
		if (mediaConfirm() != true) {
			return false;
		}
	}

	if( (cmd == "bpBackupKey") ||
            (cmd == "bpCreatePIN") ||
            (cmd == "bpExportPIN") ||
            (cmd == "bpCreateKey") ||
            (cmd == "bpCreateCSR") ||
            (cmd == "bpExportPKCS12") 
          ) {
		var passwd = "";
		var str    = "&" + "pwd=";
		var cont = "true";
		var tmp = "";

		message = "Si vous continuez, vous aurez besoin de la \n";
		message += "passphrase de la cle privee du Traitement par lots.\n\n";
		message += "Etes vous sur de vouloir continuer?\n\n";
		
		// Ask for confirmation
		if( getConfirm( message ) != true ) {
			return false
		};
		
		// Set the Right Command
		theForm.cmd.value = cmd;
		theForm.passwd_dialog_mode.value = "batchprocessor";

		// Ask for Password
		getPasswd (theForm);
	}

	if ( (cmd == "addCertToLDAPbyName") || (cmd == "deleteCertFromLDAPbyName") ) {

		var cont = "true";
		var tmp = "";
		var str = "";

		message = "Vous pouvez entrer le nom du\n";
		message += "certificat choisit aveant la mise à jour\n";
 		message += "du serveur LDAP.\n";
 		message += "Vous pouvez arreter le processus a n'importe quel moment\n";
 		message += "en choisissant le boutton 'arreter'.\n\n";
 		message += "Etes vous sur de vouloir continuer?\n\n";
 
 		// Ask for confirmation
 		if( confirm( message ) != true ) {
 			return false
 		};
 		
 		tmp = prompt("Entrez le DN modifie", theForm.dn.value);
 
 		if( tmp == null ) {
 			alert("Aborted!");
 			return false;
 		} else {
 			theForm.new_dn.value = tmp;
 		}

 		// Set the Right Command
 		theForm.cmd.value = cmd;
		theForm.submit();
	}

	if (cmd == "send_cert_key") {

		theForm.cmd.value = cmd;
		if (theForm.format.value != "pkcs8") {
			getPasswd( this.form );
		} else {
			theForm.submit();
		}

	}

}

//-->

