/* src/tools/support.h */
/*
 * OCSP responder
 * by Massimiliano Pala (madwolf@openca.org)
 * OpenCA project 2001
 *
 * Copyright (c) 2001 The OpenCA Project.  All rights reserved.
 *
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

extern unsigned long index_serial_hash(char **a);
extern int index_serial_cmp(char **a, char **b);
extern unsigned long index_name_hash(char **a);
extern int index_name_qual(char **a);
extern int index_name_cmp(char **a, char **b);
extern void lookup_fail(char *name, char *tag);
extern char *app_get_pass( char *arg, int keepbio);
extern int app_passwd( char *arg1, char *arg2, char **pass1, char **pass2);
extern int str2fmt(char *s);
extern int strcmp_nocase( char *a, char *b );
int strncmp_nocase( char *a, char *b, int min );

URL *getParsedUrl ( char *url_s );

STACK_OF(X509) *load_certs(BIO *err, const char *file, int format,
	const char *pass, const char *cert_descrip);
